<template>
  <div class="home d-flex flex-column h-100" v-if="contextService.configLoaded">
    <Header />
    <AlertPanel/>
    <b-container fluid="lg" class="main-area flex-grow-1 flex-row">
      <br/>
      <MapUserList v-if="contextService.configLoaded"/>
    </b-container>
    <Footer />
  </div>
</template>
<script lang="ts">
/* eslint-disable @typescript-eslint/explicit-module-boundary-types */
/* eslint-disable class-methods-use-this */
import Component from 'vue-class-component';
import Header from '@/components/Header.vue';
import Footer from '@/components/Footer.vue';
import MapUserList from '@/components/maplist/MapUserList.vue';
import AlertPanel from '@/components/shared/AlertPanel.vue';
import BaseComponent from '@/components/BaseComponent';

@Component({
  props: {
  },
  components: {
    Header,
    Footer,
    MapUserList,
    AlertPanel,

  },
})
export default class MapList extends BaseComponent {

}

</script>
<style scoped lang="less">
.home{
  width: 100%;
  height: 100%;
}

.main-area{
  display: flex;
  flex-flow: row wrap;
}
</style>
